#include "led.h"
#include "delay.h"
#include "sys.h"
#include "usart.h"
//#include "lcd.h"
#include "key.h"
#include "spi.h"
#include "24l01.h" 
//ALIENTEK Mini STM32开发板范例代码24
//无线通信实验  
//技术支持：www.openedv.com
//广州市星翼电子科技有限公司  

 int main(void)
 { 
	u8 a=132;            
	u8 tmp_buf[33];      //定义数组
	delay_init();	    	 //延时函数初始化	
	NVIC_Configuration();	 
	uart_init(9600);	 	//串口初始化为9600
	LED_Init();		  		//初始化与LED连接的硬件接口
	//LCD_Init();			   	//初始化LCD 	
 	KEY_Init();				//按键初始化
 	NRF24L01_Init();    	//初始化NRF24L01  
	

	 
  while(NRF24L01_Check())	//检查NRF24L01是否在位.	
	{
		delay_ms(1000);
	}								   
	  
		NRF24L01_TX_Mode();
	  tmp_buf[0]='0'+a/100;
		tmp_buf[1]='0'+a%100/10;
		tmp_buf[2]='0'+a/10;
		while(1)
		{	  		   				 
			if(NRF24L01_TxPacket(tmp_buf)==TX_OK)
		 {
			 LED0=!LED0;
       LED1=!LED1;			 
       //delay_ms(100);	
		 }
	  }
}



























